#ifndef __yang56_h
#define __yang56_h

#define IC_HABIT_SOLIDCOLUMN  0  /*agf*/
#define IC_HABIT_HOLLOWCOLUMN 1
#define IC_HABIT_AGGREGATE    2 
#define IC_HABIT_ROSETTE4     3
#define IC_HABIT_ROSETTE6     4
#define IC_HABIT_PLATE        5
#define IC_HABIT_DENDRITE     6

#define MAX_REFF_SC  84.22   /*Maximum effective radius for solid column*/
#define MAX_REFF_HC  70.24   /*Maximum effective radius for hollow column*/
#define MAX_REFF_RA 108.10   /*Maximum effective radius for rough aggregate*/
#define MAX_REFF_R4  45.30   /*Maximum effective radius for rosette 4*/
#define MAX_REFF_R6  46.01   /*Maximum effective radius for rosette 6*/
#define MAX_REFF_PL  48.18   /*Maximum effective radius for plate*/

#define MIN_REFF_SC   5.96   /*Minimum effective radius for solid column*/
#define MIN_REFF_HC   4.97   /*Minimum effective radius for hollow column*/
#define MIN_REFF_RA   3.55   /*Minimum effective radius for rough aggregate*/
#define MIN_REFF_R4   2.77   /*Minimum effective radius for rosette 4*/
#define MIN_REFF_R6   2.85   /*Minimum effective radius for rosette 6*/
#define MIN_REFF_PL   4.87   /*Minimum effective radius for plate*/


int yang56(float wavel, float reff, int nhabit, char *path, float *exti, 
           float *ssai, float *gi, float *g2i, float *fi);

double dm2re(double dm, char *habit);

#endif
